import java.net.*;
import java.io.*;
/**
 * 
 * A small webserver, that processes search queries.
 * 
 * @author Johannes A. Stork
 *
 */

public class RunSearchWebserver {
	/**
	 * @param args The port to listen on
	 */
	public static void main(String[] args) {
		if(args.length < 1) {
			System.err.println("First argument must select port.");
		} else {
			SearchLQP sLQP = new SearchLQP();
			SmallWebserver sw = new SmallWebserver(Integer.parseInt(args[0]), sLQP);
			sw.start();
	    }	
	}
}
