/**
 * The job of this class is to create an SmallWebserver, that repeats
 * a sentence n times.
 * 
 * @author Johannes A. Stork
 *
 */
public class RunSentenceWebserver {

	/**
	 * @param args The port to listen on
	 */
	public static void main(String[] args) {
		if(args.length < 1) {
			System.err.println("First argument must select the port.");
		} else {
			RepeatSentenceLQP rsLQP = new RepeatSentenceLQP();
			SmallWebserver sw = new SmallWebserver(Integer.parseInt(args[0]), rsLQP);
			sw.start();
	    }	
	}
}
