import java.util.*;

/**
 * Class to generate repeated sentence answers to queries.
 * 
 * @author Johannes A. Stork
 *
 */
public class RepeatSentenceLQP extends LineQueryProcessor {

	@Override
	public String process(String line) {
		String answer = "";

		try {
			Vector<String> arguments = this.parseHTTPGET(line);
			
			int repeatCount = Integer.parseInt(arguments.firstElement());
			
			for(int i = 0; i < repeatCount; i++) {
				answer = answer + "Cool thing!\n";
			}
			
		} catch (Exception e) {
			e.printStackTrace();
			System.err.println("Was the query misspelled?");
		}
		return answer;
	}

}
